Bug 139999 - bonobo-activation-server process does not die after logout
Summary: bonobo-activation-server process does not die after logout
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libbonobo   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-19 07:55 UTC by Scott R. Godin
Modified: 2009-09-17 08:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 21:36:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott R. Godin 2004-11-19 07:55:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
bonobo-activation-server process does not die after logout

full info at http://bugzilla.gnome.org/show_bug.cgi?id=148071



Version-Release number of selected component (if applicable):
libbonobo-2.6.2-1

How reproducible:
Always

Steps to Reproduce:
1. login to gnome
2. launch evolution
3. log out


Actual Results:  log in with Console or other account, and note that
the process tree still contains

/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=18

even after a protracted period of time

Expected Results:  /usr/libexec/bonobo-activation-server exiting
normally either at, or a reasonable time after logout

Additional info:

a patch exists at http://bugzilla.gnome.org/show_bug.cgi?id=148071 for
gnome 2.6,
http://bugzilla.gnome.org/attachment.cgi?id=29734&action=view, which
has been checked into both trunk and gnome-2.6 branches.

Perhaps this simple patch could be released for FC2 users, to help
clear up all the stray processes left around*, making less work for
admins weeding multiples of them back out, hours later. 

* processes left 25 minutes after user logout, 
valdar   12813  0.2  1.1  9280 6164 ?        S    02:45   0:02
/usr/libexec/gconfd-2 5
valdar   12816  0.0  0.1  3320  892 ?        S    02:45   0:00
/usr/bin/gnome-keyring-daemon
valdar   12818  0.0  0.5  5684 2924 ?        S    02:45   0:00
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=18
valdar   12980  0.0  1.1 24528 5720 ?        S    02:46   0:00
/usr/libexec/evolution/1.4/evolution-wombat
--oaf-activate-iid=OAFIID:GNOME_E

(esd gets stuck as well, although not in this particular instance above)

Comment 1 Scott R. Godin 2004-11-19 07:56:14 UTC
I believe this bug is also blocking bug 128886; please confirm.

Comment 2 Matthew Miller 2005-04-26 16:39:59 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Ray Strode [halfline] 2005-05-11 21:36:18 UTC
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Comment 4 Jarkko 2009-09-17 08:40:10 UTC
These bugs are probably the same issue: bug #123655 and bug #281471

Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=534485


Note You need to log in before you can comment on or make changes to this bug.